@echo off
rem /////////////////////////////////////////////////////////////////////////////
rem //                   PROPRIETARY RIGHTS STATEMENT
rem // The contents of this file represent confidential information that is the
rem // proprietary property of SilverStream Software, LLC.  Viewing or use of
rem // this information is prohibited without the express written consent of
rem // SilverStream Software, Inc. Removal of this PROPRIETARY RIGHTS STATEMENT
rem // is strictly forbidden. Copyright (c) 1999, 2003 All rights reserved.
rem /////////////////////////////////////////////////////////////////////////////

rem --
rem --  exteNd Composer Patch utility
rem --


echo Please make sure Composer Designer and Director is not running if patching Designer, 
echo or Composer Server is not running if patching Server
echo Note: java must be in your path
pause

rem --
rem -- Change directory and patch jars in place
rem --

rem -- relative locations of target jar files (order of test below can be affected by these)


set designerJarLoc=..\..\..\Common\lib
set serverJarLoc=..\..\Composer\lib
set removeListfor521E=gnu/regexp/CharIndexed.class,gnu/regexp/CharIndexedCharArray.class,gnu/regexp/CharIndexedInputStream.class,gnu/regexp/CharIndexedString.class,gnu/regexp/CharIndexedStringBuffer.class,gnu/regexp/CharUnit.class,gnu/regexp/IntPair.class,gnu/regexp/RE.class,gnu/regexp/REException.class,gnu/regexp/REFilterInputStream.class,gnu/regexp/REMatch.class,gnu/regexp/REMatchEnumeration.class,gnu/regexp/RESyntax.class,gnu/regexp/REToken.class,gnu/regexp/RETokenAny.class,gnu/regexp/RETokenBackRef.class,gnu/regexp/RETokenChar.class,gnu/regexp/RETokenEnd.class,gnu/regexp/RETokenOneOf.class,gnu/regexp/RETokenPOSIX.class,gnu/regexp/RETokenRange.class,gnu/regexp/RETokenRepeated.class,gnu/regexp/RETokenStart.class

if exist ..\server\default\lib\jboss.jar goto jboss
goto server
:jboss
set serverJarLoc=..\server\default\lib


:server
rem -- patch Server
if not exist %serverJarLoc% goto designer

set wssdkLoc=%serverJarLoc%

if not exist %serverJarLoc%\wssdk.jar goto extend
goto standard

:extend
set wssdkLoc=..\..\..\Common\WSSDK\lib

:standard

rem //////////////////////////////////////////
rem //   Don't update wssdk for websphere   //
rem ////////////////////////////////////////// 
if exist ..\..\lib\ws-config-common.jar goto websphere

echo Updating wssdk jar
copy /Y wssdk.jar %wssdkLoc%\wssdk.jar

:websphere
echo Updating Phaos jars
copy /Y Phaos\*.* %serverJarLoc%


echo Applying Server patch ...
call xcPatch.bat %serverJarLoc% xcs-all.jar xcPatch521s.zip xcs-all-pre1307F.jar
java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility %serverJarLoc%/xcs-all.jar xc_xwb_Patch521.zip false

if exist ..\server\default\lib\jboss.jar goto removecatalina
goto donotremovecatalina

:removecatalina
java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility %serverJarLoc%/xcs-all.jar remove_catalina.zip remove

:donotremovecatalina
java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility %serverJarLoc%/xcs-all.jar %removeListfor521E% removelist
echo Updating latest drop from IWAY ...
copy /Y xc-iway.jar %serverJarLoc%\xc-iway.jar
goto almost_finished

:designer
rem -- patch Designer
if not exist %designerJarLoc% goto nopatch
echo Applying Designer patch ...
call xcPatch.bat %designerJarLoc% xcd-all.jar xcPatch521d.zip xcd-all-pre1307F.jar
java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility %designerJarLoc%/xwb-wsdl-uddi.jar xc_xwb_Patch521.zip false
java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility %designerJarLoc%/xcd-all.jar %removeListfor521E% removelist
echo Updating latest drop from IWAY ...
copy /Y xc-iway.jar ..\lib\xc-iway.jar
echo Creating directory for IDM2 jar files ...
mkdir ..\lib\IDM2
echo Copying jars ...
copy /Y ComposerDriverShim.jar ..\lib\IDM2\ComposerDriverShim.jar
copy /Y ejb.jar ..\lib\IDM2\ejb.jar
copy /Y SilverRuntime.jar ..\lib\IDM2\SilverRuntime.jar
copy /Y xconfig.jar ..\lib\IDM2\xconfig.jar
copy /Y IDM_ProjectTemplate.zip ..\lib\IDM2\IDM_ProjectTemplate.zip
copy /Y readme.pdf ..\lib\IDM2\readme.pdf
copy /Y ComposerDriver.xml ..\lib\IDM2\ComposerDriver.xml
copy /Y composer.gif ..\lib\IDM2\composer.gif
..\..\..\Common\jre\bin\java -classpath xconfpatch.jar;%designerJarLoc%\xcd-all.jar;%designerJarLoc%\xwb-wsdl-uddi.jar; com.novell.composerPatch.PatchXConfig ..\bin
goto finished

:nopatch
rem -- patch files probably in wrong place.
echo "Patch not applied, unable to find Composer jar(s). Please consult readme521.txt for instructions on applying this patch."
goto finished

:almost_finished
if exist ..\server\default\lib\jboss.jar goto jboss1
goto finished

:jboss1
echo Copying Phaos jars to Composer/lib configuration ...
copy /Y Phaos\*.* ..\Composer\lib\

echo Copying Phaos jars to "default" configuration ...
copy /Y Phaos\*.* %serverJarLoc%\

echo Copying agrootca.jar to "default" configuration ...
copy /Y agrootca.jar %serverJarLoc%\..\conf

set serverJarLoc=..\server\all\lib

rem -- patch Server
if not exist %serverJarLoc% goto designer
echo Copying to xcs-all.jar "all" configuration ...
copy /Y ..\server\default\lib\xcs-all.jar %serverJarLoc%\

echo Updating latest drop from IWAY ...
copy /Y xc-iway.jar %serverJarLoc%\xc-iway.jar

echo Updating latest wssdk for "all" configuration...
copy /Y wssdk.jar %serverJarLoc%\wssdk.jar

echo Copying Phaos jars to "all" configuration ...
copy /Y Phaos\*.* %serverJarLoc%\

echo Copying agrootca.jar to "all" configuration ...
copy /Y agrootca.jar %serverJarLoc%\..\conf

set serverJarLoc=..\server\minimal\lib

rem -- patch Server
if not exist %serverJarLoc% goto designer
echo Copying to xcs-all.jar "minimal" configuration ...
copy /Y ..\server\default\lib\xcs-all.jar %serverJarLoc%\

echo Updating latest drop from IWAY ...
copy /Y xc-iway.jar %serverJarLoc%\xc-iway.jar

echo Updating latest wssdk for "minimal" configuration...
copy /Y wssdk.jar %serverJarLoc%\wssdk.jar

echo Copying Phaos jars to "minimal" configuration ...
copy /Y Phaos\*.* %serverJarLoc%\

echo Copying agrootca.jar to "all" configuration ...
copy /Y agrootca.jar %serverJarLoc%\..\conf



:finished
if exist ..\..\shared\lib\xcs-all.jar goto copyxcsall
goto end
:copyxcsall
copy /Y ..\..\Composer\lib\xcs-all.jar ..\..\shared\lib
copy /Y Phaos\*.* ..\..\shared\lib

if exist ..\..\shared\lib\xc-iway.jar goto copyxciway
goto end
:copyxciway
copy /Y ..\..\Composer\lib\xc-iway.jar ..\..\shared\lib

if exist ..\..\shared\lib\xc-iway.jar goto copywssdk
goto end
:copywssdk
copy /Y wssdk.jar ..\..\shared\lib

:end
set designerJarLoc=
set serverJarLoc=

